Skip to main content

Suggest Services

Suggest House Number

The Suggest House Number endpoint suggests house numbers for a street, including numbers with exponents and kilometer markers.

Endpoint​

POSThttps://{host}:{port}/Egon/api/suggest/hn

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Street ID context (`restrict_id`), house-number query, and options.

FieldTypeDescription
parreq
Object

Processing parameters for house number search

iso2
String

Country code, ISO 3166-1 alpha-2.

One of iso2 or iso3 is required.

iso3
String

Country code, ISO 3166-1 alpha-3.

One of iso2 or iso3 is required.

max_candidates
Number

Maximum number of candidates to extract

Default value: 10

certified_only
Boolean

Return only certified house numbers. Default: false

Default value: false

datareq
Object

Search container with mandatory street identifier for house number lookup

restrict_idreq
Number

ID of the street. Used for filtering the research by a certain street

numberreq
Number

House number

Response​

Matching house numbers, exponents, parity, and system status.

FieldTypeDescription
data
Object
results
Array

Array of candidate matches returned by the suggestion engine

number
Number

House number

exponent
String

Exponent

hn
String

Formatted number

hn_id
Number

ID of the house number

system
Object

System error and execution status

ret_code
Number

Code: 0 no blocking error, <> 0 blocking error code

des_ret_code
String

Description

Request Example
curl -X POST "https://{host}:{port}/Egon/api/suggest/hn" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"number": "4",
"restrict_id": 38000073526
}
}'